# TODO

> Disclaimer!: List is WIP

## Feature parity

- [ ] Commands
  - [x] `abra server`
    - [x] `ls`
    - [x] `add`
    - [x] `new`
      - [x] `capsul`
      - [x] `hetzner`
    - [x] `rm`
    - [x] `init`
  - [ ] `abra app`
    - [x] `ls`
    - [x] `new`
    - [ ] `backup`
    - [ ] `deploy`
    - [ ] `check`
    - [ ] `version`
    - [ ] `config`
    - [ ] `cp`
    - [ ] `logs`
    - [ ] `ps`
    - [ ] `restore`
    - [x] `rm`
    - [ ] `run`
    - [ ] `rollback`
    - [ ] `secret`
      - [ ] `generate`
      - [ ] `insert`
      - [ ] `rm`
    - [ ] `undeploy`
    - [ ] `volume`
      - [ ] `ls` (WIP: knoflook)
      - [ ] `rm` (WIP: knoflook)
  - [x] `abra recipe`
    - [x] `ls`
    - [x] `create`
    - [x] `upgrade`
    - [x] `sync`
    - [x] `versions`
    - [x] `lint`
  - [ ] `upgrade`
    - [ ] migrating installer script
  - [x] `version`
  - [ ] `doctor`

## Next phase

- [ ] Refactor code and good comments
- [ ] Look at UX and UI
- [ ] Automated builds and releases (for all OS's and archs)

## New features

- [ ] Commands
  - [ ] `abra server`
    - [ ] `dns`
      - [ ] `gandi`
  - [ ] `abra recipe`
    - [ ] "TBD apps.json generating command" (see [#40](https://git.coopcloud.tech/coop-cloud/go-abra/issues/40))
- [ ] In package managers (AUR, Debian, Ubuntu, Fedora, Homebrew, etc.)
